Bug 51993 - firewalls block X11 but not VNC.
Summary: firewalls block X11 but not VNC.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-lokkit (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-17 21:08 UTC by Ed McKenzie
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-04 21:06:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch 1 to ipchains writer (675 bytes, patch)
2003-06-27 19:54 UTC, Shawn Walker
no flags Details | Diff
Patch 2 to spec file to apply patch 1 (618 bytes, patch)
2003-06-27 19:54 UTC, Shawn Walker
no flags Details | Diff

Description Ed McKenzie 2001-08-17 21:08:29 UTC
The medium security level in lokkit blocks the X11 ports on 6000:6009, but
it doesn't block VNC ports on 5800:5809 and 5900:5909.  I'd hope it would,
since a.) VNC is essentially a cleartext protocol, and b.) one can do more
damage via VNC than via an unprotected X port.

Comment 1 Glen Foster 2001-08-20 19:22:41 UTC
We (Red Hat) should really try to fix this before next release.

Comment 2 Shawn Walker 2003-06-27 19:54:01 UTC
Created attachment 92658 [details]
Patch 1 to ipchains writer

Comment 3 Shawn Walker 2003-06-27 19:54:46 UTC
Created attachment 92659 [details]
Patch 2 to spec file to apply patch 1

Comment 4 Bill Nottingham 2003-08-04 21:06:11 UTC
Fixed differently in redhat-config-securitylevel-1.2.0-1.


Note You need to log in before you can comment on or make changes to this bug.